require 'thor/group'

module Transcriptic
  class BaseGenerator < Thor::Group
    class << self
      def source_root
        Transcriptic.root.join('lib/transcriptic/templates')
      end
    end

    shell = Transcriptic.ui

    argument :path,
      type: :string,
      required: true

    include Thor::Actions

    private

      def target
        @target ||= Pathname.new(File.expand_path(path))
      end
  end
end
